Package wx :: Package lib :: Module evtmgr :: Class EventAdapter

[frames | no frames]

## Class EventAdapter

A class that adapts incoming wxWindows events to Publish/Subscribe messages.

In other words, this is the object that's seen by the wxWindows system. Only one of these registers for any particular wxWindows event. It then relays it into the PS system, which lets many listeners respond.

Method Summary
| ``__init__`(self, func, win, id)` Instantiate a new adapter.
| `Destroy(self)`
| `disconnect(self)`
| ``handleEvent`(self, event)` In response to a wxWindows event, send a PS message

Method Details

### __init__(self, func, win, id)
(Constructor)

Instantiate a new adapter. Pre-compute my Publish/Subscribe topic, which is constant, and register with wxWindows.

### handleEvent(self, event)

In response to a wxWindows event, send a PS message

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:19 2007 | http://epydoc.sf.net